Skip to content
Last updated

List Accounts

This endpoint returns a list of all the ShipStation API accounts that you've created. All accounts are returned by default, but you can optionally filter by active or inactive status.

Query ParameterTypeDescription
activebooloptional
Return only accounts in the specified active state. Defaults to null.
created_at_startdate stringoptional
Only return accounts that were created on or after a specific date/time. Defaults to null.
Uses ISO 8601 Standard, ex: 2022-01-01T00:00:00.000Z
created_at_enddate stringoptional
Only return accounts that were created on or before a specific date/time. Defaults to null.
Uses ISO 8601 Standard, ex: 2022-12-31T23:59:59.999Z
pageintegerReturn a specific "page" of results. Defaults to the first page. If set to a number that's greater than the number of pages of results, an empty page will be returned.
ex. 100
page_sizeintegerThe number of labels to return per response. Defaults to 25, maximum is 500.
ex. 100

Example Request & Response

GET /v1/partners/accounts

GET /v1/partners/accounts?active=true&created_at_start=2022-01-01T00:00:00.000Z&created_at_end=2022-12-31T23:59:59.999Z HTTP/1.1
Host: api.shipengine.com
API-Key: __PARTNER_API_KEY_HERE__

Response

{
    "accounts": [
        {
          "account_id": 123456,
          "external_account_id": "819748723192",
          "created_at": "2022-12-04T23:06:39.197Z",
          "modified_at": "2022-12-04T23:06:39.197Z",
          "active": true,
          "email": "819748723192@acme.corp",
          "company_name": "Acme Corp.",
          "first_name": "John",
          "last_name": "Doe",
          "origin_country_code": "US"
        }
  ]
}